<?php 

if( !defined( 'ABSPATH' ) ) exit;

/*
* Plugin Name: Dominie Custom Post
* Description: Creates shortcodes, register custom taxonomies and post types
* Version: 1.0.0
* Author: dominie
* Author URI: http://dominie.net
*/

/*-----------------------------------------------------
	## Custom post types
------------------------------------------------------*/
require_once 'libs/dominie-testimonial.php';

/*-----------------------------------------------------
	## Custom widget types
------------------------------------------------------*/
require_once plugin_dir_path( __FILE__ ) . 'widget/dominie-about-widget.php';
require_once plugin_dir_path( __FILE__ ) . 'widget/dominie-recent-post.php';
require_once plugin_dir_path( __FILE__ ) . 'widget/dominie-nav-menu-widget.php';

/*-----------------------------------------------------
	## Custom post share single post
------------------------------------------------------*/
function social_icons_hook() {
	global $post;
	// Get current page URL 
	$crunchifyURL = get_permalink();
 
	// Get current page title
	$crunchifyTitle = str_replace( ' ', '%20', get_the_title());
	$twitterURL = 'https://twitter.com/intent/tweet?text='.$crunchifyTitle.'&amp;url='.$crunchifyURL.'&amp;via=Crunchify';
	$facebookURL = 'https://facebook.com/sharer/sharer.php?u='.$crunchifyURL;
	$linkedinURL = 'https://linkedin.com/share?url='.$crunchifyURL;
	$pinterest = 'http://pinterest.com/pin/create/button/?url='.$crunchifyURL;
	?>
	<ul class="social-area">
		<li>
			<a href="<?php print esc_url($facebookURL); ?>" target="_blank"><i class="fa fa-facebook"></i></a>
		</li>
		<li>
			<a href="<?php print esc_url($twitterURL); ?>" target="_blank"><i class="fa fa-twitter"></i></a>
		</li>
		<li>
			<a href="<?php print esc_url($linkedinURL); ?>" target="_blank"><i class="fa fa-linkedin"></i></a>
		</li>
		<li>
			<a href="<?php print esc_url($pinterest); ?>" target="_blank"><i class="fa fa-pinterest"></i></a>
		</li>
	</ul>
	<?php
}
add_action( 'social_icons_action', 'social_icons_hook', 10, 2 );